libebook::FictionBook2BlockFormat Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
libebook::FictionBook2BlockFormat Struct Reference

`#include <FictionBook2Style.h>`

## Public Member Functions
| FictionBook2BlockFormat ()

## Public Attributes
uint8_t | annotation
uint8_t | cite
uint8_t | epigraph
bool | headerRow
bool | p
uint8_t | poem
bool | stanza
bool | subtitle
bool | table
bool | textAuthor
bool | title
bool | v
uint8_t | headingLevel
std::string | lang

## Constructor & Destructor Documentation

## ◆ FictionBook2BlockFormat()

libebook::FictionBook2BlockFormat::FictionBook2BlockFormat | ( |  | ) |

## Member Data Documentation

## ◆ annotation

uint8_t libebook::FictionBook2BlockFormat::annotation

Referenced by FictionBook2BlockFormat().

## ◆ cite

uint8_t libebook::FictionBook2BlockFormat::cite

Referenced by FictionBook2BlockFormat().

## ◆ epigraph

uint8_t libebook::FictionBook2BlockFormat::epigraph

Referenced by FictionBook2BlockFormat().

## ◆ headerRow

bool libebook::FictionBook2BlockFormat::headerRow

Referenced by FictionBook2BlockFormat(), libebook::makePropertyList(), and libebook::FictionBook2TrContext::openRow().

## ◆ headingLevel

uint8_t libebook::FictionBook2BlockFormat::headingLevel

Referenced by FictionBook2BlockFormat().

## ◆ lang

std::string libebook::FictionBook2BlockFormat::lang

Referenced by FictionBook2BlockFormat().

## ◆ p

bool libebook::FictionBook2BlockFormat::p

Referenced by FictionBook2BlockFormat(), and libebook::FictionBook2PContext::makeBlockFormat().

## ◆ poem

uint8_t libebook::FictionBook2BlockFormat::poem

Referenced by FictionBook2BlockFormat().

## ◆ stanza

bool libebook::FictionBook2BlockFormat::stanza

Referenced by FictionBook2BlockFormat(), and libebook::FictionBook2StanzaContext::FictionBook2StanzaContext().

## ◆ subtitle

bool libebook::FictionBook2BlockFormat::subtitle

Referenced by FictionBook2BlockFormat(), libebook::FictionBook2SubtitleContext::makeBlockFormat(), and libebook::makePropertyList().

## ◆ table

bool libebook::FictionBook2BlockFormat::table

Referenced by FictionBook2BlockFormat().

## ◆ textAuthor

bool libebook::FictionBook2BlockFormat::textAuthor

Referenced by FictionBook2BlockFormat(), libebook::FictionBook2TextAuthorContext::makeBlockFormat(), and libebook::makePropertyList().

## ◆ title

bool libebook::FictionBook2BlockFormat::title

Referenced by FictionBook2BlockFormat(), libebook::FictionBook2TitleContext::FictionBook2TitleContext(), and libebook::makePropertyList().

## ◆ v

bool libebook::FictionBook2BlockFormat::v

Referenced by FictionBook2BlockFormat(), and libebook::FictionBook2VContext::makeBlockFormat().

The documentation for this struct was generated from the following files:

- FictionBook2Style.h
- FictionBook2Style.cpp